<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if (!$admin) header('Location: '.ADMIN);

require_header('Импорт файлов');

if (isset($_POST['submit'])) {

	$error = '';
	
	if (empty($_POST['files'])) {
		$error .= 'Введите адреса файлов для загрузки!';
	}
	else if (empty($_POST['path'])) {
		$error .= 'Нет конечного пути!';
	}
	else if (stripos('http://', $_POST['files']) !== false) {
		$error .= 'Не верно введен адрес ссылки!';
	}
	
	if ($error) {
		echo '<div class="error">'.$error.'</div>';
	} else {
		
		$newpath = trim($_POST['path']);
		$count = $false = 0;
		
		$url = explode("\n", $_POST['files']);
		
		define('TIMESTART', microtime(true));
		
		for ($i = 0; $i < count($url); $i ++) {
		
			$parametr = explode('#',trim($url[$i]));
			if(!isset($parametr[1])) {
				$parametr[1] = basename(trim($parametr[0]));
			}
			
			$to = '../'.$newpath . trim($parametr[1]);
			
			$ex = pathinfo(trim($parametr[0]));
			$ext = strtolower($ex['extension']);
			
			if ($ext == 'php' || $ext == 'php3' || $ext == 'php4' || $ext == 'php5' || $ext == 'php6' || $ext == 'phtml' || $ext == 'cgi' || $ext == 'asp' || $ext == 'js' || $ext == 'phtm' || $ext == 'py' || $ext == 'pl') {
				echo '<div class="error">Файлы данного типо загружать запрещено!</div>';
			} else {
			
				if (!file_exists($to)) {

					ini_set('user_agent', $_SERVER['HTTP_USER_AGENT']);
					
					if (copy(trim($parametr[0]), $to)) {
						$uptime = filectime($to);
						$ex = pathinfo($to);
						$ex = $ex['extension'];
						
						$name = str_replace('.'.$ex, '', basename($to));
						
						if (strpos($name, '!') !== false) {
							$name = translate1($name);
						} else {
							$name = translate2($name);
						}
						
						$size = filesize($to);
						$infolder = dirname($to).'/';
						
						mysql_query("INSERT INTO `".SQLprefixTable."files` SET `path`='".mysql_real_escape_string(str_replace('../', '', $to))."', `infolder`='".mysql_real_escape_string(str_replace('../', '', $infolder))."', `name`='".mysql_real_escape_string($name)."', `size`='".$size."', `dateupload`='".$uptime."'");
						
						$count ++;
					} else {
						$false ++;
					}
				
				}
			
			}
			
		}
		
		echo '<div class="menu">
		Загружено файлов: '.$count.'<br/>
		Ошибка при загрузке: '.$false.'<br/>
		Страница создана за: '.round(microtime(true) - TIMESTART, 4).' сек
		</div>';
	
	}
	
	echo '<div class="block"><a href="'.ADMIN.'/import.xhtml">Import файлов</a></div>';
	
	exit(require_footer());

} else {

	$sql = mysql_query("SELECT (`path`) FROM `".SQLprefixTable."files` WHERE `size`='0'");

	echo '<form class="menu" action="" method="post" enctype="multipart/form-data">
	<b>Сохранить в:</b><br/><select name="path">
	<option value="'.htmlspecialchars($set['path']).'/" selected="selected">./</option>';
	
	while ($row = mysql_fetch_assoc($sql)) {
		$name = str_replace($set['path'].'/', '', $row['path']);
		$path = explode('/', $name);
		
		$option = '';
		
		unset($path[count($path) - 1]);
			
		foreach ($path as $value) {
			if (strpos($value, '!') !== false) {
				$name = translate1($value);
			} else {
				$name = $value;
			}
			$option  = $option . $name.'/';
		}
			
		echo '<option value="'.htmlspecialchars($row['path']).'">'.$option.'</option>';
		
	}
	
	echo '</select><br/>
	<b>Адреса файлов:</b><br/><textarea name="files" rows="5" cols="80"></textarea><br/>
	<input type="submit" name="submit" value="Импортировать файлы"/>
	</form>';
}

echo '<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>